読者です 読者をやめる 読者になる 読者になる

【非推奨】CircleCIで"手軽に"MySQL5.6を使う

2016/08/20 16:15追記

Ubuntu14のMySQLがいつからか5.7に上がってしまったらしいのでこの手は使えなくなりました。。

f:id:eiryu9:20160820162007p:plain

circleci.com

※オリジナル

先日のCircleCI Meetupで中の人に聞いてみたところ、Ubuntu14を使えばMySQL5.6が入っているらしい。デフォルトはUbuntu12なので手動で変える必要がある。
変えるには、以下のようにプロジェクト設定画面でUbuntu14を指定する。てかこれもcircle.ymlで設定出来るようにして欲しい。。 f:id:eiryu9:20160614042812p:plain

せっかくなのでサンプルのプロジェクトでビルドでMySQLのバージョンを表示するようにして確認してみた。

Ubuntu12 f:id:eiryu9:20160614042758p:plain

Ubuntu14 f:id:eiryu9:20160614042807p:plain

ググれば出てくるように、Ubuntu12でもapt-getでMySQL5.6を入れることは可能だが、たまにapt-getでビルドが詰まっていることもあるので、Ubuntu14を使った方がビルド時間がより安定するかも知れない。